//  LAYMGR.LSP
//  K. TRELSKI
//  5/91-3/94
//revisions:  This program is converted from menu macros. 
//            It provides utilities to control layers.
//     1/92 - Seperate programs grouped in one file XL.LSP
//     2/93 - Dialog Boxes Added
//     12/93- Minor bugs fixed
//
//used with LAYMGR.LSP
//
//shareware program - see LAY-READ.ME for more information
//

hello : dialog {
      label = "LayerManager  v. 1.3";
 :row {
  :column {
      label = "Standard";
      : button {
         key = "ONA";
         label = "On all layers";
      }
      : button {
         key = "OFA";
         label = "Off all layers";
      }
      : button {
         key = "THA";
         label = "Thaw all layers";
      }
      : button {
         key = "FRA";
         label = "Freeze all layers";
      }
      : button {
         key = "UNA";
         label = "Unlock all layers";
      }
      : button {
         key = "LOA";
         label = "Lock all layers";
      }
      : button {
         key = "STO";
         label = "Set layer to 0";
      }
      : button {
         key = "TG";
         label = "Toggle Layers";
      }
   }
   :column {
      label = "Expanded";
      : button {
         key = "CH";
         label = "Change layers";
      }
      : button {
         key = "CO";
         label = "Copy objects to layer";
      }
      : button {
         key = "FR";
         label = "Freeze/Thaw";
      }
      : button {
         key = "LO";
         label = "Lock/Unlock";
      }
      : button {
         key = "OF";
         label = "On/Off";
      }
      : button {
         key = "SG";
         label = "Separate layers";
      }
      : button {
         key = "ST";
         label = "Set layer";
      }
      : button {
         key = "TS";
         label = "Set Layer Toggle";
      }
    }
  }
  ok_cancel;
}

lay_on : dialog {
      label = "On/Off";
 :row {
   :column {
      : button {
         key = "ONA";
         label = "On all layers";
      }
      : button {
         key = "ONX";
         label = "On all XREF layers";
      }
   }
   :column {
      : button {
         key = "OFA";
         label = "Off all layers";
      }
      : button {
         key = "OFX";
         label = "Off all XREF layers";
      }
   }
 }
      : button {
         key = "OFF";
         label = "Off layer(s) by object(s)";
      }
      : button {
         key = "OXF";
         label = "Off XREF layer by object";
      }
ok_cancel;
}

lay_fr : dialog {
      label = "Freeze/Thaw";
 :row {
   :column {
   }
   :column {
   }
 }
      : button {
         key = "FR";
         label = "Freeze layer by object";
      }
      : button {
         key = "FX";
         label = "Freeze XREF layer by object";
      }
      ok_cancel;
}
lay_lo : dialog {
      label = "Lock/Unlock";
 :row {
   :column {
      : button {
         key = "LOS";
         label = "Lock layer(s) by object(s)";
      }

   }
   :column {
      : button {
         key = "UN";
         label = "Unlock layer(s) by object(s)";
      }
 
   }
 }
  
      ok_cancel;
}

lay_set : dialog {
      label = "Set Layers";
   :row {  
      : button {
         key = "STO";
         label = "Set layer to 0     ";
      }
      : button {
         key = "STX";
         label = "Set layer by object";
      }
   }
      ok_cancel;
}


lay_sep : dialog {
      label = "Separate Layers";
      : button {
         key = "SEP";
         label = "Separate one layer by object";
      }
      : button {
         key = "SEG";
         label = "Separate layers by objects";
      }

      ok_cancel;
}

lay_ch : dialog {
      label = "Change Layers";
      : button {
         key = "CHX";
         label = "Change layer by object";
      }
      : button {
         key = "CHS";
         label = "Change layer(s) to current layer";
      }

      ok_cancel;
}
